# Generated from rake_dashboard-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake_dashboard

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Lists rake tasks for remote execution through a browser
License: MIT
URL: http://github.com/cpb/rake_dashboard
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capybara) >= 2.4.4
# BuildRequires: rubygem(capybara) < 2.5
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(rspec) < 3.3
# BuildRequires: rubygem(rspec-rails) >= 3.2.0
# BuildRequires: rubygem(rspec-rails) < 3.3
# BuildRequires: rubygem(rspec-html-matchers) >= 0.7.0
# BuildRequires: rubygem(rspec-html-matchers) < 0.8
# BuildRequires: rubygem(poltergeist) >= 1.6.0
# BuildRequires: rubygem(poltergeist) < 1.7
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Lists rake tasks for remote execution through a browser.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rake_dashboard.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.0-1
- Initial package
